LotusSpreadsheetInternal::Table123Styles Struct Reference documentation

LotusSpreadsheetInternal::Table123Styles Struct Reference

a class used to store the styles of a table in LotusSpreadsheet in a lotus 123 files More...

## Public Member Functions
| Table123Styles ()
| constructor
void | addCellStyle (Vec2i const &cols, Vec2i const &rows, int cellId)
| add a style to a list of cell
void | addCellStyle (Vec2i const &cols, Vec2i const &rows, Extra123Style const &extra)
| add a extra style to a list of cell
void | addCellStyle (Vec2i const &cols, Vec2i const &rows, Format123Style const &format)
| add a extra style to a list of cell

## Public Attributes
int | m_defaultCellId
| the default cell style
std::map< Vec2i, std::map< Vec2i, int > > | m_rowsToColsToCellIdMap
| map rows to cols to cell id
std::map< Vec2i, std::map< Vec2i, Extra123Style > > | m_rowsToColsToExtraStyleMap
| map rows to cols to extra style
std::map< Vec2i, std::map< Vec2i, Format123Style > > | m_rowsToColsToFormatStyleMap
| map rows to cols to format style

## Detailed Description

a class used to store the styles of a table in LotusSpreadsheet in a lotus 123 files

## Constructor & Destructor Documentation

## ◆ Table123Styles()

LotusSpreadsheetInternal::Table123Styles::Table123Styles | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addCellStyle() [1/3]

void LotusSpreadsheetInternal::Table123Styles::addCellStyle | ( | Vec2i const & | cols,
|  | Vec2i const & | rows,
|  | Extra123Style const & | extra )
| inline

add a extra style to a list of cell

## ◆ addCellStyle() [2/3]

void LotusSpreadsheetInternal::Table123Styles::addCellStyle | ( | Vec2i const & | cols,
|  | Vec2i const & | rows,
|  | Format123Style const & | format )
| inline

add a extra style to a list of cell

## ◆ addCellStyle() [3/3]

void LotusSpreadsheetInternal::Table123Styles::addCellStyle | ( | Vec2i const & | cols,
|  | Vec2i const & | rows,
|  | int | cellId )
| inline

add a style to a list of cell

Referenced by LotusSpreadsheet::readCellsFormat801().

## Member Data Documentation

## ◆ m_defaultCellId

int LotusSpreadsheetInternal::Table123Styles::m_defaultCellId

the default cell style

Referenced by LotusSpreadsheet::readCellsFormat801(), LotusSpreadsheet::sendRowContent(), and Table123Styles().

## ◆ m_rowsToColsToCellIdMap

std::map<Vec2i, std::map<Vec2i,int> > LotusSpreadsheetInternal::Table123Styles::m_rowsToColsToCellIdMap

map rows to cols to cell id

Referenced by addCellStyle(), LotusSpreadsheet::sendRowContent(), LotusSpreadsheet::sendSpreadsheet(), and Table123Styles().

## ◆ m_rowsToColsToExtraStyleMap

std::map<Vec2i, std::map<Vec2i,Extra123Style> > LotusSpreadsheetInternal::Table123Styles::m_rowsToColsToExtraStyleMap

map rows to cols to extra style

Referenced by addCellStyle(), LotusSpreadsheet::sendRowContent(), LotusSpreadsheet::sendSpreadsheet(), and Table123Styles().

## ◆ m_rowsToColsToFormatStyleMap

std::map<Vec2i, std::map<Vec2i,Format123Style> > LotusSpreadsheetInternal::Table123Styles::m_rowsToColsToFormatStyleMap

map rows to cols to format style

Referenced by addCellStyle(), LotusSpreadsheet::sendRowContent(), LotusSpreadsheet::sendSpreadsheet(), and Table123Styles().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp